package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrVessel;
import com.ruoyi.project.pssr.domain.TPssrVessel;

/**
 * 压力容器Mapper接口
 * 
 * @author ssy
 * @date 2024-11-07
 */
public interface TPssrVesselMapper 
{
    /**
     * 查询压力容器
     * 
     * @param id 压力容器ID
     * @return 压力容器
     */
    public TPssrVessel selectTPssrVesselById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询压力容器列表
     * 
     * @param tPssrVessel 压力容器
     * @return 压力容器集合
     */
    
    public List<TPssrVessel> selectTPssrVesselList(TPssrVessel tPssrVessel);

    /**
     * 新增压力容器
     * 
     * @param tPssrVessel 压力容器
     * @return 结果
     */
    public int insertTPssrVessel(TPssrVessel tPssrVessel);

    /**
     * 修改压力容器
     * 
     * @param tPssrVessel 压力容器
     * @return 结果
     */
    public int updateTPssrVessel(TPssrVessel tPssrVessel);

    /**
     * 删除压力容器
     * 
     * @param id 压力容器ID
     * @return 结果
     */
    public int deleteTPssrVesselById(Long id);

    /**
     * 批量删除压力容器
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrVesselByIds(Long[] ids);

    int updateAllBySubId(TPssrVessel vessel);

    void deleteTPssrVesselBySubId(Long subId);

    int updateTPssrVesselByIds(TPssrVessel tPssrVessel);
}
